Site Explorer Inbound Links API
Discover what pages link to your website
The Inlink Data service allows you to retrieve information about the pages linking to a particular page or pages within a domain. See also the Site Explorer PageData API and more information on Site Explorer.
Request URL
http://search.yahooapis.com/SiteExplorerService/V1/inlinkData
Request parameters
Also, see information on constructing REST queries.
| Parameter | Value | Description |
|---|---|---|
| appid | string (required) | The application ID. See Application IDs for more information. |
| query | string (required) | The domain or path to get inlink data for. Note: must include "http://" prefix. |
| results | integer: default 50, max 100 | The number of results to return. |
| start | integer: default 1 | The starting result position to return (1-based). The finishing position (start + results - 1) cannot exceed 1000. |
| entire_site | no value (default), or 1 | Specifies whether to provide results for the entire site, or just the page referenced by the query. If the query is not a domain URL (i.e. it contains path information, such as http://smallbusiness.yahoo.com/webhosting/), this parameter has no effect. |
| omit_inlinks | none (default), domain, or subdomain | If specified, inlinks will not be returned if they are from pages in the same domain/subdomain as the requested page. |
| output | string: xml (default), json, php | The format for the output. If json is requested, the results will be returned in JSON format. If php is requested, the results will be returned in Serialized PHP format. |
| callback | string | The name of the callback function to wrap around the JSON data. The following characters are allowed: A-Z a-z 0-9 . [] and _. If output=json has not been requested, this parameter has no effect. More information on the callback can be found in the Yahoo! Developer Network JSON Documentation. |
Sample Request Url: http://search.yahooapis.com/SiteExplorerService/V1/inlinkData?appid=YahooDemo&query=http://search.yahoo.com&results=2
Response fields
The schema document for this service response is located at http://search.yahooapis.com/SiteExplorerService/V1/InlinkDataResponse.xsd
| Field | Description |
|---|---|
| ResultSet |
Contains all of the query responses. Has attributes:
|
| Result | Contains each individual response. |
| Title | The title of the linking web page. |
| Url | The URL for the linking web page. |
| ClickUrl | The URL that should be used to link to the inlinking page. See URL linking for more information. |
Sample response
The following is a sample response for the query http://search.yahoo.com:
Rate Limits
The Site Explorer APIs are limited to 5,000 queries per IP address per day and to noncommercial use. See information on rate limiting.
Terms of Use
Please see our Usage Policy to learn about acceptable uses and how to request additional queries.
Errors
The Site Explorer service returns the standard errors. There are no service-specific errors.
Support & Community
The Site Explorer APIs are discussed on the yws-search-general mailing list.
Ready to get started?
By applying for an Application ID for this service, you hereby agree to the Terms of Use
Yahoo! Groups Discussions
view all
Re: yahoo local search not giving complete details for a search
Wed, 24 Jun 2009
Rate limit and 403 Forbidden errors
Thu, 18 Jun 2009
Acceptable use of Yahoo! Term Extraction service
Wed, 17 Jun 2009
How do we compare the results from Google, Yahoo and Live?
Fri, 29 May 2009

